# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2010-2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2011 Detlef Reichelt <detlef@links2linux.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org

Name:           xnoise
Version:        0.2.1
%define api 1.0
Release:        3.68
Summary:        Media Player
Source:         https://github.com/downloads/shuerhaaken/xnoise/xnoise-%{version}.tar.gz
Patch1:         xnoise-fix_pointer_hacks.patch
URL:            http://code.google.com/p/xnoise
Group:          Productivity/Multimedia/Sound/Players
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libunique-devel libnotify-devel
BuildRequires:  libtag-devel libsoup-devel
BuildRequires:  sqlite-devel
BuildRequires:  gstreamer010-devel
BuildRequires:  gstreamer010-plugins-base-devel
BuildRequires:  gtk2-devel
BuildRequires:  gcc make glibc-devel pkgconfig
BuildRequires:  autoconf automake libtool intltool
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  fdupes

%description
XNOISE is a media player for Gtk+ with a slick GUI, great speed and lots of
features.

Unlike Rhythmbox, Banshee or itunes, Xnoise uses a tracklist centric design.
The tracklist is a list of video or music tracks that are played one by one
without being removed (right side of window). This gives you the possibility to
enqueue any track in any order, regardless if they are on the same album or
not. The tracks can be reordered at any time via drag and drop.

The media browser (left side of the window) contains all available media in a
hierarchical tree structure of the available metadata. It is easy to find a
single track, artist or album by going through this tree or by just entering a
search term. From the media browser, music or videos can be dragged into the
tracklist to every position.

Single or multiple tracks, streams, albums or artists can be dragged onto the
tracklist and be reordered. Within the playing track, it's possible to jump to
every position by clicking the position bar.

Xnoise can play every kind of audio/video data that gstreamer can handle. 

%package devel
Summary:        Development Environment for xnoise
Group:          Development/Libraries/C and C++
Requires:       libunique-devel libnotify-devel
Requires:       libtag-devel libsoup-devel
Requires:       sqlite-devel
Requires:       gstreamer010-devel
Requires:       gstreamer010-plugins-base-devel
Requires:       gtk2-devel
Requires:       pkgconfig

%description devel
XNOISE is a media player for Gtk+ with a slick GUI, great speed and lots of
features.

This package contains the development environment to build applications and
plugins for xnoise.

%prep
%setup -q
%patch1

%build
%configure \
    --disable-silent-rules \
    --disable-static

%__make %{?_smp_flags} V=1

%install
%makeinstall

%suse_update_desktop_file -r "%{name}" AudioVideo Player

if [ -e "%{buildroot}%{_datadir}/locale/de" ]; then
    %__rm -rf "%{buildroot}%{_datadir}/locale/de_DE"
else
    %__mv "%{buildroot}%{_datadir}/locale"/{de_DE,de}
fi
%__rm -rf "%{buildroot}%{_datadir}/locale"/{default,es_CO}

%find_lang "%{name}"

%fdupes -s "%{buildroot}%{_datadir}"

%__rm -f %{buildroot}/%{_libdir}/xnoise/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xnoise
%{_datadir}/icons/*/*/apps/xnoise.*
%{_datadir}/xnoise
%{_datadir}/applications/xnoise.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/scalable/status/*.svg
%dir %{_libdir}/xnoise
%{_libdir}/xnoise/*.xnplugin
%{_libdir}/xnoise/libDatabaseLyrics.so
%{_libdir}/xnoise/libLyricwiki.so
%{_libdir}/xnoise/libTitleToDecoration.so
%{_libdir}/xnoise/libazlyrics.so
%{_libdir}/xnoise/libchartlyrics.so
%{_libdir}/xnoise/liblastfm.so
%{_libdir}/xnoise/libmediakeys.so
%{_libdir}/xnoise/libmpris.so
%{_libdir}/xnoise/libmprisone.so
%{_libdir}/xnoise/libnotifications.so
%{_libdir}/xnoise/libsoundmenu2.so
%{_libdir}/xnoise/libxnoise.so.0
%{_libdir}/xnoise/libxnoise.so.0.0.0
%{_libdir}/xnoise/libxnoisetest.so
%doc %{_mandir}/man1/xnoise.1*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xnoise
%{_includedir}/xnoise/xnoise-%{api}.h
%{_libdir}/pkgconfig/xnoise-%{api}.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/xnoise-%{api}.*
%{_libdir}/xnoise/libxnoise.so

%changelog
* Thu May  3 2012 pascal.bleser@opensuse.org
- fix ugly pointer hacks and a few lines in the %%files section
* Thu May  3 2012 pascal.bleser@opensuse.org
- update to 0.2.1, fixes [PM-13]:
  https://bugs.links2linux.org/browse/PM-13
* Sat Oct  8 2011 detlef@links2linux.de
- new upstream version (0.1.29)
* Sat Sep  3 2011 pascal@links2linux.de
- new upstream version (0.1.27)
* Sat Jul 24 2010 pascal@links2linux.de
- new package (0.1.10)
